/// <reference types="cheerio" />
import { BoxrecGeneralLinks } from './boxrec-common.constants';
interface LinksObj {
    classAttr: string;
    div: Cheerio;
    href: string;
    hrefArr: string[];
}
export declare class BoxrecCommonLinks {
    /**
     * Loops through Cheerio object and gets link information.  Returns empty object if no links exist
     * @param {Cheerio} html
     * @param {T} obj
     * @returns {T}
     */
    static parseLinkInformation<T extends BoxrecGeneralLinks>(html: Cheerio, obj: T): T;
    /**
     * Takes a link column and returns the needed data to parse it
     * @param {CheerioElement} elem
     * @returns {LinksObj}
     * @todo a lot of this was necessary when the links had certain classes
     */
    static parseLinksColumn(elem: CheerioElement): LinksObj;
    /**
     * Takes a link, parses the information and returns the object
     * @param hrefArr
     * @param href
     * @param obj
     */
    private static parseLinks;
}
export {};
