import { BoxrecFighterRole } from 'boxrec-requests';
import { DivisionInterface } from '../../decorators/division.decorator';
import { FirstBoxerInterface } from '../../decorators/firstBoxer.decorator';
import { FirstBoxerWeightInterface } from '../../decorators/firstBoxerWeight.decorator';
import { MetadataInterface } from '../../decorators/metadata.decorator';
import { OutcomeInterface } from '../../decorators/outcome.decorator';
import { OutputInterface } from '../../decorators/output.decorator';
import { RatingInterface } from '../../decorators/rating.decorator';
import { BoxrecBasic, Record, WinLossDraw } from '../boxrec.constants';
import { WeightDivision } from '../champions/boxrec.champions.constants';
import { BoxrecEventBoutRowOutput, BoxrecEventLinks } from './boxrec.event.constants';
export declare class BoxrecPageEventBoutRow implements DivisionInterface, FirstBoxerInterface, FirstBoxerWeightInterface, MetadataInterface, OutcomeInterface, OutputInterface, RatingInterface {
    private headerColumns;
    division: WeightDivision | null;
    firstBoxer: BoxrecBasic;
    firstBoxerWeight: number | null;
    metadata: string | null;
    outcome: WinLossDraw | null;
    output: BoxrecEventBoutRowOutput;
    rating: number | null;
    private readonly $;
    constructor(headerColumns: string[], boxrecBodyBout: string, additionalData?: string | null);
    get firstBoxerLast6(): WinLossDraw[];
    get firstBoxerRecord(): Record;
    get links(): BoxrecEventLinks;
    get numberOfRounds(): Array<number | null>;
    get outcomeByWayOf(): string | null;
    get secondBoxer(): BoxrecBasic;
    get secondBoxerLast6(): WinLossDraw[];
    get secondBoxerRecord(): Record;
    get secondBoxerWeight(): number | null;
    get sport(): BoxrecFighterRole;
}
