import { OutputInterface } from '../../decorators/output.decorator';
import { BoxrecBasic, BoxrecBoutLocation } from '../boxrec.constants';
import { BoxrecEvent } from './boxrec.event';
import { BoxrecEventOutput } from './boxrec.event.constants';
/**
 * Parse an Event page
 */
export declare class BoxrecPageEvent extends BoxrecEvent implements OutputInterface {
    output: BoxrecEventOutput;
    get commission(): string | null;
    get date(): string | null;
    /**
     * The list is not sorted and therefore the order can change.  Up to the developer how they want to sort
     */
    get doctors(): BoxrecBasic[];
    get id(): number | null;
    get inspector(): BoxrecBasic;
    get location(): BoxrecBoutLocation;
    /**
     * Returns string format of matchmaker to be parsed by parent class
     * @returns {string}
     */
    protected parseMatchmakers(): string;
    /**
     * Was previously `television` but now is media
     * returns the same content as `television`
     */
    get media(): string[];
    /**
     * @deprecated  should use `media` now
     */
    get television(): string[];
    protected parsePromoters(): string;
    private parseDate;
    private parseEventResults;
}
