/// <reference types="cheerio" />
import { IdInterface } from '../../../decorators/id.decorator';
import { OutputInterface } from '../../../decorators/output.decorator';
import { BoxrecLocation } from '../../boxrec.constants';
import { BoxrecPageLocationPeopleRowOutput } from './boxrec.location.people.constants';
export declare class BoxrecPageLocationPeopleRow implements IdInterface, OutputInterface {
    protected headerColumns: string[];
    id: number;
    output: BoxrecPageLocationPeopleRowOutput;
    protected readonly $: CheerioStatic;
    constructor(headerColumns: string[], boxrecBodyBout: string);
    /**
     * Some of the results may come back with just the `country`
     * ex. if you search USA, you'll get people "0 miles" from USA, and the region/town is excluded
     * @returns {BoxrecLocation}
     */
    get location(): BoxrecLocation;
    get miles(): number;
    get name(): string;
    get sex(): 'male' | 'female';
}
