import { BoxrecTitles } from '../../boxrec-common-tables/boxrec-common.constants';
import { DateInterface } from '../../decorators/date.decorator';
import { FirstBoxerWeightInterface } from '../../decorators/firstBoxerWeight.decorator';
import { MetadataInterface } from '../../decorators/metadata.decorator';
import { OutcomeInterface } from '../../decorators/outcome.decorator';
import { OutputInterface } from '../../decorators/output.decorator';
import { RatingInterface } from '../../decorators/rating.decorator';
import { BoxrecBasic, BoxrecJudge, Record, WinLossDraw } from '../boxrec.constants';
import { BoxingBoutOutcome } from '../event/boxrec.event.constants';
import { BoxrecProfileBoxerBoutOutput } from './boxrec.page.profile.constants';
import { BoxrecProfileCommonRow } from './boxrec.profile.common.row';
export declare class BoxrecPageProfileBoxerBoutRow extends BoxrecProfileCommonRow implements DateInterface, FirstBoxerWeightInterface, MetadataInterface, OutcomeInterface, OutputInterface, RatingInterface {
    date: string;
    firstBoxerWeight: number | null;
    metadata: string | null;
    outcome: WinLossDraw;
    output: BoxrecProfileBoxerBoutOutput;
    rating: number | null;
    /**
     * Parses ratings of a boxer
     * @param {string} rating
     * @returns number | null
     */
    static parseBoxerRating(rating: string): number | null;
    private static outcomeByWayOf;
    /**
     * Returns the boxer's rating in number of points
     * Number is result of the outcome of the fight
     * Higher number is better
     * @returns {number | null}
     */
    get firstBoxerRating(): number | null;
    get judges(): BoxrecJudge[];
    /**
     * Returns string for location because BoxRec doesn't have links in the location and this is safer than trying
     * to guess if the location object is correct
     */
    get location(): string;
    get numberOfRounds(): Array<number | null>;
    get referee(): BoxrecBasic;
    get result(): [WinLossDraw, BoxingBoutOutcome | string | null, BoxingBoutOutcome | string | null];
    get secondBoxer(): BoxrecBasic;
    get secondBoxerLast6(): WinLossDraw[];
    /**
     * Returns the opponent's rating in number of points
     * Number is result of the outcome of the fight
     * Higher number is better
     * @returns {(number | null)[]}
     */
    get secondBoxerRating(): number | null;
    get secondBoxerRecord(): Record;
    get secondBoxerWeight(): number | null;
    get titles(): BoxrecTitles[];
}
