import { BoutsInterface } from '../../decorators/bouts.decorator';
import { OutputInterface } from '../../decorators/output.decorator';
import { BoxrecBasic } from '../boxrec.constants';
import { BoxrecParseBouts } from '../event/boxrec.parse.bouts';
import { BoxrecPageTitlesRow } from '../titles/boxrec.page.titles.row';
import { BoxrecTitleOutput } from './boxrec.page.title.constants';
/**
 * parse a BoxRec Title page
 * <pre>ex. http://boxrec.com/en/title/6/Middleweight
 */
export declare class BoxrecPageTitle extends BoxrecParseBouts implements BoutsInterface, OutputInterface {
    /**
     * A list of bouts that have occurred for this title.  Most recent
     * @returns {BoxrecPageTitleRow[]}
     */
    bouts: BoxrecPageTitlesRow[];
    output: BoxrecTitleOutput;
    /**
     * The number of bouts that have occurred for this title
     * @returns {number}
     */
    get numberOfBouts(): number;
    /**
     * Return id and name of current champion
     * @returns {BoxrecBasic}
     */
    get champion(): BoxrecBasic;
    get name(): string;
}
