/// <reference types="cheerio" />
import { DateInterface } from '../../decorators/date.decorator';
import { FirstBoxerInterface } from '../../decorators/firstBoxer.decorator';
import { FirstBoxerWeightInterface } from '../../decorators/firstBoxerWeight.decorator';
import { MetadataInterface } from '../../decorators/metadata.decorator';
import { NumberOfRoundsInterface } from '../../decorators/numberOfRounds.decorator';
import { OutcomeInterface } from '../../decorators/outcome.decorator';
import { OutputInterface } from '../../decorators/output.decorator';
import { RatingInterface } from '../../decorators/rating.decorator';
import { BoxrecBasic, BoxrecLocation, WinLossDraw } from '../boxrec.constants';
import { BoxrecProfileCommonRow } from '../profile/boxrec.profile.common.row';
import { BoxrecPageTitleRowOutput } from './boxrec.page.title.constants';
export declare class BoxrecPageTitleRow extends BoxrecProfileCommonRow implements DateInterface, FirstBoxerInterface, FirstBoxerWeightInterface, MetadataInterface, NumberOfRoundsInterface, OutcomeInterface, OutputInterface, RatingInterface {
    date: string;
    firstBoxer: BoxrecBasic;
    firstBoxerWeight: number | null;
    metadata: string | null;
    numberOfRounds: number[];
    outcome: WinLossDraw;
    output: BoxrecPageTitleRowOutput;
    rating: number | null;
    protected readonly $: CheerioStatic;
    get location(): BoxrecLocation;
    get secondBoxer(): BoxrecBasic;
    get secondBoxerWeight(): number | null;
}
