/// <reference types="cheerio" />
import { BoxrecGeneralLinks } from '../../boxrec-common-tables/boxrec-common.constants';
import { DateInterface } from '../../decorators/date.decorator';
import { DivisionInterface } from '../../decorators/division.decorator';
import { FirstBoxerInterface } from '../../decorators/firstBoxer.decorator';
import { FirstBoxerWeightInterface } from '../../decorators/firstBoxerWeight.decorator';
import { MetadataInterface } from '../../decorators/metadata.decorator';
import { NumberOfRoundsInterface } from '../../decorators/numberOfRounds.decorator';
import { OutcomeInterface } from '../../decorators/outcome.decorator';
import { OutputInterface } from '../../decorators/output.decorator';
import { RatingInterface } from '../../decorators/rating.decorator';
import { BoxrecBasic, BoxrecLocation, WinLossDraw } from '../boxrec.constants';
import { WeightDivision } from '../champions/boxrec.champions.constants';
import { BoxrecPageTitlesRowOutput } from './boxrec.page.title.constants';
export declare class BoxrecPageTitlesRow implements DateInterface, DivisionInterface, FirstBoxerInterface, FirstBoxerWeightInterface, MetadataInterface, NumberOfRoundsInterface, OutcomeInterface, OutputInterface, RatingInterface {
    protected headerColumns: string[];
    date: string;
    division: WeightDivision | null;
    firstBoxer: BoxrecBasic;
    firstBoxerWeight: number | null;
    metadata: string | null;
    numberOfRounds: number[];
    outcome: WinLossDraw;
    output: BoxrecPageTitlesRowOutput;
    rating: number | null;
    protected readonly $: CheerioStatic;
    constructor(headerColumns: string[], tableRowInnerHTML: string, metadataFollowingRowInnerHTML?: string | null);
    get links(): BoxrecGeneralLinks;
    get location(): BoxrecLocation;
    get secondBoxer(): BoxrecBasic;
    get secondBoxerWeight(): number | null;
    protected parseLinks(): Cheerio;
}
